Subject: Re: [PATCH v3 0/6] [RFC] diff: add diff.<driver>.process for external hunk providers

From: Junio C Hamano <[email-masked]>
Date: Sun, 31 May 2026 19:44:11 +0900

"Michael Montalbo via GitGitGadget" <[email-masked]> writes:

> Language-aware diff tools (e.g., Difftastic) and format-specific analyzers
> can produce better line matching than Git's builtin diff algorithm, but
> diff.<driver>.command replaces Git's output entirely, losing downstream
> features like word diff, function context, color, and blame.

This seems to break CI on Windows; take a look at

  https://github.com/git/git/actions/runs/26709491830/job/78717295153

for an example.

Thanks.